Sitecore 7+ Requires SQL Server 2008 R2

September 9, 2014

I'll be checking the Sitecore CMS Compatibility Table more frequently in the future.  SQL Server 2008 (pre R2) is not supported in Sitecore versions 7+.

We updated our websites from Sitecore 6.6 to 7.2 in the last week using SQL Server 2008.  Each upgrade step had a couple installation errors and in the end we were missing templates and other items in the Core database.  This caused issues in Sitecore administration like the following error displayed browsing for images with the SelectMediaDialog:

The layout for the requested document was not found

I don't know if the installation errors were caused by incompatible update scripts.  However, Sitecore support said that versions 7+ were only tested on SQL Server 2008 R2+.  The fresh database that I compared to ours couldn't even be installed in SQL Server 2008.

So it's back to Sitecore 6.6 for us.  There's no telling when newer versions of SQL Server will be available to our team.  And it's much cheaper to deal with Chrome not working and using Web Forms than it is to upgrade our infrastructure.